Page MenuHomePhabricator

Implement automatic email after event registration
Open, In Progress, Needs TriagePublic5 Estimated Story Points

Description

If I have registered for an event and if I am eligible to receive email notifications upon registration (i.e., email address associated with account and no disabling of notification in preferences), I want to receive the automatic confirmation message, so that I can know for sure that I have successfully registered and so that I can easily pull up information about the event in the future from my email.

Acceptance Criteria:

  • If a user has an email address associated with their account and if they have enabled the ability to send a confirmation message of event registration via preferences:
    • An email should be automatically sent to their email address after they have registered for an event
  • Participants should be able to opt out of email communication (see T317221)
  • If participant registers for the event, and if they have an email address associated with their account, then an email will be automatically sent with event info. The following information should be included:
    • Username(s) of organizers
      • Note that at the engineering+design meeting on Nov 2 we decided that, unlike the prototypes below, the organizers should be displayed as [Organizer1], [Organizer2], [Organizer3] and [X more]., where things in square brackets are links.
    • Event name (perhaps with a link to the event page)
    • Event start date and start time
    • Event end date and end time
    • Event time zone
    • Event type (online, in person, online and in person)
    • Meeting URL
    • Event location
    • Group chat invite
    • Information on how/where to manage registration
  • Document the new notification as per https://www.mediawiki.org/wiki/Help:Notifications/Document_a_new_notification_type
  • Notes on testing: we should test this on a few different email clients when in the QA phase (such as gmail, hotmail, yahoo, outlook).

Visual examples:

CleanShot 2022-11-02 at 13.01.14@2x.png (1Γ—972 px, 115 KB)
CleanShot 2022-11-02 at 13.01.31@2x.png (1Γ—962 px, 114 KB)

CleanShot 2022-11-01 at 09.26.54@2x.png (1Γ—1 px, 141 KB)
CleanShot 2022-11-02 at 12.55.22@2x.png (1Γ—958 px, 121 KB)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ifried renamed this task from Implement automatic email after event registration to After T317231 complete: Implement automatic email after event registration.Sep 7 2022, 7:28 PM
ifried moved this task from Backlog to V1 (MVP) on the Campaign-Registration board.
ifried renamed this task from After T317231 complete: Implement automatic email after event registration to Implement automatic email after event registration.Sep 7 2022, 7:53 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)

Change 854047 had a related patch set uploaded (by Mhorsey; author: Mhorsey):

[mediawiki/extensions/CampaignEvents@master] [WIP] create echo notification

https://gerrit.wikimedia.org/r/854047

Change 856982 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[integration/config@master] zuul: [mediawiki/extensions/CampaignEvents] Add Echo as phan dependency

https://gerrit.wikimedia.org/r/856982

Change 856982 merged by jenkins-bot:

[integration/config@master] zuul: [mediawiki/extensions/CampaignEvents] Add Echo as phan dependency

https://gerrit.wikimedia.org/r/856982

Mentioned in SAL (#wikimedia-releng) [2022-11-15T15:57:34Z] <James_F> Zuul: [mediawiki/extensions/CampaignEvents] Add Echo as phan dependency for T317231

Some things that I would like to clarify:

  • When participants receive emails from organizers, they should not see any other participant email addresses in the email.
  • When participants respond to emails from organizers, the email should only be sent to the organizer (i.e., not sent to other participants).

These don't seem relevant here, as they're only for the communication features, no?

  • If participant registers for the event, and if they have an email address associated with their account, then an email will be automatically sent with event info. While final language of the text has not been confirmed, we can expect that it will include the following information:

Can it be considered final now?

Also, the AC were likely written before T316688 and subtasks, so they don't mention the time zone. Can we add the time zone after the time, similar to the other places where the time zone is shown (T321717, T321718, T322050)? Also, the content of the email is static, and unlike the on-wiki frontend, it never changes. This means that the time in the email could be correct when the email is sent, but could become wrong if the time zone rules change (or if the organizer changes the time/date). Should we do anything about it, like always using the event time zone, or adding some text inviting the user to check the event page for the most up-to-date info?

And finally: the prototype uses the calendar icon for the email. Can we have a written confirmation that this is the final choice? I asked this a few times in T316772 but there was no explicit answer, so I want to make sure that it's not just a placeholder. As explained in that task, defining a new icon is not entirely trivial, so we should avoid doing it more than once if possible.

vyuen changed the task status from Open to In Progress.Thu, Nov 17, 3:45 PM
ifried updated the task description. (Show Details)

Updates based on the last comment from @Daimona:

  • I have removed the AC that is not applicable to the automated email message
  • I have added time zone to the AC
  • I have removed the text that said the language was not finalized yet
  • I do not know what decision @gonyeahialam had on the calendar icon, and I am neutral on this. Do I understand correctly that it is a non-trivial amount of time to add it? If this is the case, we can consider it non-essential for the release and skip adding it in the scope of this ticket. If it is relatively small in scope, we can go ahead and add it. Let me know what you think!
  • As for always using the event time zone: I think it may be confusing if the event is listed in one time zone on the event page and in another time zone in the confirmation email. It's probably better to have a consistent experience for the user.
  • As for additional text to let people know they should look to the event page for updates: I think it's understood that emails are static, so information can change. I guess the problem is that we don't currently have a notification system in place to send automated emails to participants if changes are made, so they would not know. We can potentially add text to the email that says "Please visit the event page for updates." I don't know how useful this would be, though I guess it doesn't hurt. It could be placed as the final text below the "Visit event page" button. Thoughts?
  • I do not know what decision @gonyeahialam had on the calendar icon, and I am neutral on this. Do I understand correctly that it is a non-trivial amount of time to add it? If this is the case, we can consider it non-essential for the release and skip adding it in the scope of this ticket. If it is relatively small in scope, we can go ahead and add it. Let me know what you think!

Yeah, non-trivial. It's still quite easy, just not as easy as using icons in other places, because we have to upload a copy of the file, add it to the Echo config, keep it in sync with the upstream OOUI icon etc. I'm just saying that it's better to only have to do it once. If we're not sure about the calendar, we can also use the placeholder icon for now. Also, as I already mentioned, we could choose to use a custom icon as well; this is fairly common in notifications AFAICS.

  • As for always using the event time zone: I think it may be confusing if the event is listed in one time zone on the event page and in another time zone in the confirmation email. It's probably better to have a consistent experience for the user.

Sure, I'll do that.

  • As for additional text to let people know they should look to the event page for updates: I think it's understood that emails are static, so information can change. I guess the problem is that we don't currently have a notification system in place to send automated emails to participants if changes are made, so they would not know. We can potentially add text to the email that says "Please visit the event page for updates." I don't know how useful this would be, though I guess it doesn't hurt. It could be placed as the final text below the "Visit event page" button. Thoughts?

We can't add any text after those buttons. But mine was just a potential idea, I don't think it's blocking anything, so maybe we can think about it for later.

We have no confirmation on the finalized image since @gonyeahialam is out until Wednesday (which is past our code cut-off date) so let's use a placeholder image for now.

And, yes, we can consider explanatory text (to let people know they should check out the event page) in the future, but I don't think it's a blocker either. We can learn more once after the release and when we receive feedback from users on what is working for them and what needs to be improved.

Thanks!

Change 854047 had a related patch set uploaded (by Daimona Eaytoy; author: Mhorsey):

[mediawiki/extensions/CampaignEvents@master] Create Echo notification for when users register for an event

https://gerrit.wikimedia.org/r/854047

Change 854047 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Create Echo notification for when users register for an event

https://gerrit.wikimedia.org/r/854047

@Daimona this bit of AC is missing from the email Username of participant (e.g., Hello [username])

Also, if Online event is chosen or In-person event is chosen but there are not yet any details provided, should we provide a string like The link will be made available by the organizer where the address would go, as is done in the app? I see that this is not in the comp, so checking with @gonyeahialam if this should be included or not?

registration email gmail.png (1Γ—1 px, 154 KB)

@Daimona this bit of AC is missing from the email Username of participant (e.g., Hello [username])

I think we decided to remove it in the design task, and it was also removed from the prototypes. Maybe the AC weren't updated? @ifried

If a user has an email address associated with their account and if they have enabled the ability to send a confirmation message of event registration via preferences:
βœ… An email should be automatically sent to their email address after they have registered for an event
βœ… Participants should be able to opt out of email communication (see T317221)
If participant registers for the event, and if they have an email address associated with their account, then an email will be automatically sent with event info. The following information should be included:
Username of participant (e.g., Hello [username])
βœ… Username(s) of organizers
βœ… Event name (βœ…perhaps with a link to the event page)
βœ… Event start date and start time
βœ… Event end date and end time
βœ… Event time zone
βœ… Event type (online, in person, online and in person)
βœ… Meeting URL
βœ… Event location
βœ… Group chat invite
βœ… Information on how/where to manage registration (there is a View Event page button)
βœ… Document the new notification as per https://www.mediawiki.org/wiki/Help:Notifications/Document_a_new_notification_type


The email is displaying correctly in various clients as seen below:

Yahoo:

yahoo registration email .png (1Γ—1 px, 207 KB)

Screen Shot 2022-11-22 at 10.52.25 PM.png (1Γ—1 px, 182 KB)

Gmail:

registration email gmail.png (1Γ—1 px, 154 KB)

Screen Shot 2022-11-22 at 11.06.58 PM.png (1Γ—1 px, 165 KB)

Outlook:

registration email outlook.png (1Γ—1 px, 208 KB)

Hotmail (which is the same as outlook now, but retested with hotmail now anyway):

hotmail registration email .png (1Γ—1 px, 210 KB)

Protonmail:

registration email protonmail.png (1Γ—1 px, 185 KB)


Also the time zone conveys correctly for in-person events, and also if there is no group chat link in the event, the group chat message does not appear at the top of the email:

Screen Shot 2022-11-22 at 10.00.58 PM.png (1Γ—1 px, 227 KB)


The notification is documented here:
https://www.mediawiki.org/wiki/Help:Notifications/Types


Noting here that we are using a placeholder image for the icon for now, per T317231#8406175.


@Daimona a few notes:
The Join group chat text at the bottom should be blue. Right now it is gray and looks disabled:

Screen Shot 2022-11-22 at 11.55.57 PM.png (192Γ—528 px, 13 KB)

This is not in the AC, but a lot of these messages went to spam or the junk folder - do you know if there is there anything we can do about that?

Also, there is this gray bar for the header that is more pronounced in some clients than others. Is this something we can remove? This is from testing it on mac mail in my phone for example (Also from this screencap, it is apparently time to charge my phone!)

mac mail iphone.png (1Γ—750 px, 101 KB)

The Join group chat text at the bottom should be blue. Right now it is gray and looks disabled:

Yup, that's how Echo styles the "secondary" links. This is not something we can change.

This is not in the AC, but a lot of these messages went to spam or the junk folder - do you know if there is there anything we can do about that?

Ugh... I guess there might be multiple reasons for that. Some things that come to mind:

  • Maybe you triggered it many times and received too many notifications in a short period? I think you might have used different addresses, though?
  • I thought maybe the chat or meeting link could be seen as potentially spammy by the filters, if it's some random website, but I'm not seeing links in many of the screenshots.
  • Maybe it's a beta-only thing? The notification code should reach testwiki today, so maybe try it there? A quick search didn't find anything spam-related for beta except for T256297, which was caused by the number of notifications.

@MHorsey-WMF @cmelo do you have any ideas?

Also, there is this gray bar for the header that is more pronounced in some clients than others. Is this something we can remove?

No, this is something added by Echo. I agree that it could be improved, but it's not something we can do.

This is not in the AC, but a lot of these messages went to spam or the junk folder - do you know if there is there anything we can do about that?

Ugh... I guess there might be multiple reasons for that. Some things that come to mind:

  • Maybe you triggered it many times and received too many notifications in a short period? I think you might have used different addresses, though?
  • I thought maybe the chat or meeting link could be seen as potentially spammy by the filters, if it's some random website, but I'm not seeing links in many of the screenshots.
  • Maybe it's a beta-only thing? The notification code should reach testwiki today, so maybe try it there? A quick search didn't find anything spam-related for beta except for T256297, which was caused by the number of notifications.

@MHorsey-WMF @cmelo do you have any ideas?

@Daimona It might be a beta-only thing - the train isn't running this week though so I don't think it will make it to testwiki today. And yeah, I used different email addresses and also different user accounts.

Spam filtering is a dark art, what domain is it coming from? I'll check the blacklists. @vaughnwalters

Spam filtering is a dark art, what domain is it coming from? I'll check the blacklists. @vaughnwalters

https://en.wikipedia.beta.wmflabs.org/

Looks clean, so it's likely content related. Unfortunately it's hard to know what.

If you can download the whole email, with headers, I can do more digging.
https://support.google.com/mail/answer/29436?visit_id=638048184340626880-2427287605&rd=1#zippy=%2Cgmail

Received: from SN6PR15MB2509.namprd15.prod.outlook.com (2603:10b6:805:1a::25)
 by MW2PR1501MB2042.namprd15.prod.outlook.com with HTTPS; Wed, 23 Nov 2022
 17:22:34 +0000
Received: from DU2PR04CA0299.eurprd04.prod.outlook.com (2603:10a6:10:28c::34)
 by SN6PR15MB2509.namprd15.prod.outlook.com (2603:10b6:805:1a::25) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5813.13; Wed, 23 Nov
 2022 17:22:33 +0000
Received: from DB5EUR02FT054.eop-EUR02.prod.protection.outlook.com
 (2603:10a6:10:28c:cafe::1f) by DU2PR04CA0299.outlook.office365.com
 (2603:10a6:10:28c::34) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5857.18 via Frontend
 Transport; Wed, 23 Nov 2022 17:22:32 +0000
Authentication-Results: spf=none (sender IP is 185.15.56.18)
 smtp.mailfrom=beta.wmflabs.org; dkim=none (message not signed)
 header.d=none;dmarc=permerror action=none
 header.from=wikimedia.beta.wmflabs.org;compauth=fail reason=001
Received-SPF: None (protection.outlook.com: beta.wmflabs.org does not
 designate permitted sender hosts)
Received: from mx-out03.wmcloud.org (185.15.56.18) by
 DB5EUR02FT054.mail.protection.outlook.com (10.13.59.10) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5857.18 via Frontend Transport; Wed, 23 Nov 2022 17:22:31 +0000
X-IncomingTopHeaderMarker:
 OriginalChecksum:54ED5A0317A7BA376F31D9292EA3756528730B8DF907EBD2923CDC544DB06D93;UpperCasedChecksum:38F86CAC0759BD3D05A0CBEF8E7A0C05E732111069811588A39628B3BF4314DE;SizeAsReceived:1094;Count:12
Received: from deployment-mediawiki12.deployment-prep.eqiad1.wikimedia.cloud ([172.16.2.65]:54800)
	by mx-out03.wmcloud.org with esmtp (Exim 4.92)
	(envelope-from <wiki-enwiki-25kw-rlt9li-lp+HHCtDKDK23SDA@beta.wmflabs.org>)
	id 1oxtSA-0005MR-D9
	for vdubstest@outlook.com; Wed, 23 Nov 2022 17:22:30 +0000
Received: from www-data by deployment-mediawiki12.deployment-prep.eqiad1.wikimedia.cloud with local (Exim 4.92)
	(envelope-from <wiki-enwiki-25kw-rlt9li-lp+HHCtDKDK23SDA@beta.wmflabs.org>)
	id 1oxtSA-0003kT-BU
	for vdubstest@outlook.com; Wed, 23 Nov 2022 17:22:30 +0000
To: "Vdubsoutlook" <vdubstest@outlook.com>
Subject: 81 registration confirmed
From: "Wikipedia" <wiki@wikimedia.beta.wmflabs.org>
Reply-To: wiki@wikimedia.beta.wmflabs.org
Date: Wed, 23 Nov 2022 17:22:30 +0000
Message-ID: <enwiki.637e56d6510f75.71017230@en.wikipedia.beta.wmflabs.org>
X-Mailer: MediaWiki mailer
List-Unsubscribe: <https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences>
Content-Type: multipart/alternative;
 boundary="=_320c206e15b044abf773137ccc1f316d"
X-IncomingHeaderCount: 12
Return-Path: wiki-enwiki-25kw-rlt9li-lp+HHCtDKDK23SDA@beta.wmflabs.org
X-MS-Exchange-Organization-ExpirationStartTime: 23 Nov 2022 17:22:31.5390
 (UTC)
X-MS-Exchange-Organization-ExpirationStartTimeReason: OriginalSubmit
X-MS-Exchange-Organization-ExpirationInterval: 1:00:00:00.0000000
X-MS-Exchange-Organization-ExpirationIntervalReason: OriginalSubmit
X-MS-Exchange-Organization-Network-Message-Id:
 8b268059-cfea-4eca-2551-08dacd774dbd
X-EOPAttributedMessage: 0
X-EOPTenantAttributedMessage: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa:0
X-MS-Exchange-Organization-MessageDirectionality: Incoming
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DB5EUR02FT054:EE_|SN6PR15MB2509:EE_
X-MS-Exchange-Organization-AuthSource:
 DB5EUR02FT054.eop-EUR02.prod.protection.outlook.com
X-MS-Exchange-Organization-AuthAs: Anonymous
X-MS-UserLastLogonTime: 11/23/2022 5:18:36 PM
X-MS-Office365-Filtering-Correlation-Id: 8b268059-cfea-4eca-2551-08dacd774dbd
X-MS-Exchange-EOPDirect: true
X-Sender-IP: 185.15.56.18
X-SID-PRA: WIKI@WIKIMEDIA.BETA.WMFLABS.ORG
X-SID-Result: NONE
X-MS-Exchange-Organization-PCL: 2
X-MS-Exchange-Organization-SCL: 5
X-Microsoft-Antispam: BCL:0;
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 23 Nov 2022 17:22:31.5234
 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 8b268059-cfea-4eca-2551-08dacd774dbd
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-AuthSource:
 DB5EUR02FT054.eop-EUR02.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg:
 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR15MB2509
X-MS-Exchange-Transport-EndToEndLatency: 00:00:03.2454502
X-MS-Exchange-Processed-By-BccFoldering: 15.20.5813.018
X-Microsoft-Antispam-Mailbox-Delivery:
	abwl:0;wl:0;pcwl:0;kl:0;dwl:0;dkl:0;rwl:0;ucf:0;jmr:0;ex:0;psp:0;auth:0;dest:J;OFR:SpamFilterAuthJ;ENG:(5062000305)(90000117)(90005022)(91005020)(90014020)(91030020)(91040095)(5061607266)(5061608174)(9050020)(9100338)(2008001134)(4810004)(4910033)(8820095)(9610025)(9560006)(10180021)(9320005)(9245025);RF:JunkEmail;
X-Message-Info:
	6hMotsjLow8DcdpQWPwqG5UGMafoKr4CR0pIXO6M+71nc9VpbQQBQ9CHtnV0O2bEJGPe4SNIQCBoF9bHWk6j5aG5dy0ROJo/AzNHkVnqwmrar41ESXT1W5ZYGS5Xpk015O10d3bGkpsphRVctWF9lnm5ykiYA/RgprA47k1E9KlLqvk1Vi20E/KB+sHfonIue7BKyoAvApETKXztCd1n9g==
X-Message-Delivery: Vj0xLjE7dXM9MDtsPTA7YT0xO0Q9MjtHRD0xO1NDTD02
X-Microsoft-Antispam-Message-Info:
	=?utf-8?B?VUFjaVNrMzI4NG43OERSTzd2UmZxVk9DWng0bkRZVW82a2lrc0tTbU16ZU5r?=
 =?utf-8?B?SU5WQzQyMUdRcTdkdzVsOXEvc0dxTlc3bjNTQk03OU5USmh3L0IzRVcvY3gr?=
 =?utf-8?B?TmhiV09MaSs4VnRpZkNiQksxbFJOQmVZWkRPaktzUERCZFBNZms0YXNBQU52?=
 =?utf-8?B?YUNuWkthblJrditack5RSURzdkhKVHJDL1lmYjV1eFF5MnNVdDVsUXRwN09z?=
 =?utf-8?B?dldmM1lxaUlURHZMQUpRbmJuQ3ljbk9rYTVHOVkwTkYvSTdobGpISStUdlVX?=
 =?utf-8?B?K2kxbldTQk82c0NkQSs4aVhiWUdxNFVoOUZ0dUlmamtuNEp0TUZuaHNldElC?=
 =?utf-8?B?OTUzNU9OdmRZeGxVdmtVZjAxL09uQ2hVWTl1bitEY2hTMVh5SHlQd1lJeWIw?=
 =?utf-8?B?eVJhNkJKVUNUcUxtOTNybEUySlBjcXVMcDNrN0YxeVFTUGk3YW1GVVp5N0pT?=
 =?utf-8?B?SENCckw1V3Q2cW1nem15cEduS1lldklRSDExUlFpVDU3SXVESHQ2cFl1YUZu?=
 =?utf-8?B?SjBxcWFxVEtRZUZLbmxjMytaME9hWFlpT0tGT29kcXl0QVA3a2t4QjQ5UVgz?=
 =?utf-8?B?cStaeGE0dHFzQ0lCeUpKYXVpWmhtRGFHR1o0OVcybmFpcnRWYzZKQVlLcHpS?=
 =?utf-8?B?d1FPcnRQYWNpcTRtRXBvKzc4N1NndlVNNVJpUWFBU1R5UFNYWHlRZFBRSU9m?=
 =?utf-8?B?NFdYQ01MUjlocVhpdDRZb3pyUE90bk5xY2dVMi9mcjZrc3ZhYUt6UU0rK0N1?=
 =?utf-8?B?VzVyejRnenJKMWQ5aUNpMWtnbTFiRndBVDhZQkdxRG9aYVZRVFhINnloY2t3?=
 =?utf-8?B?L1JJV2luT1VKL3ljbmYzVGlsM3pPWGYvVTRVZk9OdVJralhNZVUxc1hOWDZo?=
 =?utf-8?B?TUlaNzZRbTZIMVl4TTUxQUJQS1pVL1VIRWZnT1lVOXk4V1FycG9lR0RuNGdK?=
 =?utf-8?B?WEI1am5xV0pyV3MwYVZSUjYvWU5RQXJ6QXNpaEF2YTZONUFZYkhZVkZSN2tJ?=
 =?utf-8?B?dFVHR1lmREJ3aFI2ZFpKK1FtSk4vY2dVN0p4OG1HdnI1bEt0OTkvUDhQM20z?=
 =?utf-8?B?eFZvaXVXM1pUeklvS2FMcnREeE15aVVmU2xTc2ZzSkxHaE4rcHUvMEVGYXZx?=
 =?utf-8?B?Z0ZyblBlUkd5cWwvd3p3ME90dVdVZ2JGSVkrWTRpbDRzN0ZwcWsrbmhQdWc3?=
 =?utf-8?B?N21JbDYrdUZzS0ZpZWtlc3YwU1c3RVVxVjZ5Z0dPbEtraDVwSVlwaUNqTFJ2?=
 =?utf-8?B?SDl3amltZnB3WGsyNVJGTks5WlRHTE04Wlh4MzBzU3I5eDhkK3prV0UvVm02?=
 =?utf-8?B?ZXVlbzhwVXhpL0ZXSjU5VmlDZm1XdkdKTHAyNTd5SnljQU5mbzVxUkR6c1pq?=
 =?utf-8?B?b0tVOWd2R2ljZnVhbkhiVk5STXlxODJacWdkaXp3UDdia2V0UDhNWjV0aHJB?=
 =?utf-8?B?Ui8vSmtIL0lSa1I4bnNsWkU2SnFNc3lHRUpWeTNjT01yWm52UE5pOTRtSkVL?=
 =?utf-8?B?aGVZa0lZNXFQTWgyVzdsZDJkOStkUjhMYWxGQzRsdzlNMWkvZFdWbHlOVm1M?=
 =?utf-8?B?cEJKVk9aNVdYcTcrQ1k3aHY3SStzLzVVZmx0bkJPSXk5VkNUT3JGbllSckhU?=
 =?utf-8?B?ajFxU0l2VCszeDhvTHRjNnZzUmd5bTFjSWdlcGw4UEsyRGR5TkNXWWxVeWU4?=
 =?utf-8?B?NnpPOFY2eTlvS0VaSkQ4K0FMWXZQT1ErYVZEQlJKbXpDQVhrVkRRaEF1bkFB?=
 =?utf-8?B?cjYwTDlLTUZhRXJmT0Z3eFNEUENJbDJ0dHNmV2ZWR0hhdkhzMUpDVHk3MW9w?=
 =?utf-8?B?ZENFMlFzOXkwYngzSXNzOThFVW1KNjFtSGFvZFludERCM2ZGM3A2V3JxYkVK?=
 =?utf-8?B?WE51NW9wQTZKVjVUbjdMb05sMFNRSkFGYTRDZTIxZEN2cUo3Q0syMFZYa0VD?=
 =?utf-8?B?VjIwRDhDV2FmWG1CYU8wRWlOV1RsTG1SUEdlR2FXeVBKWkJqNFRINHdZMWhB?=
 =?utf-8?B?d2hIRjRyd2JTcXlWcHA5Kzh2eUVzanZiREYrRWtnamdjMTE0NXc1UklEZVhl?=
 =?utf-8?B?WUdaSkJPWlI4S3JDYXlsNnFnTVlLd056M1VJUWpWVDJvckIzQ2F5L0NuM3Z2?=
 =?utf-8?B?WGRINi9XWER0VFZJVnQzYWFabU4wb2NmckxaWjNJNnlHRU9KUGJ2UVMwM0ZT?=
 =?utf-8?B?eTR3ZkFwU3lLbXlPeE81cUR2NjR2Qjc0UTZtaWFnemgybXMwMXN0QVVTZGxL?=
 =?utf-8?B?aEMzaW03Sko4UXcwVlBKNlBQc0k4UXhOYTlReWF1QkhhWDRKMjJmelI0ajVO?=
 =?utf-8?B?WTQwbWNFcUFWblk2OWJOa2dyb3A1SXBoOVF2RzVyRFhlQUVOZEdNbFJUUk5V?=
 =?utf-8?B?T29JaU5QNXV2U0VPdlUrT3psV3Q4MWY4RTNnby9KMmpjWldTbDdqZEFhUXo5?=
 =?utf-8?B?cG1Vc1pmdUhLRFlkbjVHTVIxbllSaCtZbVNVd1RSSEMwUmhVNC8xWHo5TmNL?=
 =?utf-8?Q?5xRt+Chr581?=
MIME-Version: 1.0

--=_320c206e15b044abf773137ccc1f316d
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8

Thank you for registering for 81. Join the event group chat to connect with=
 other participants and get additional updates from the organizers.

Event details Date and time 22:20, 28 October 2022 to 20:30, 26 February 20=
28 Timezone: America/Chicago Event type In-person event 555 gallatin street=
 nashville tn 37217 USA Event organizers Vdubs81

View event page:  <https://en.wikipedia.beta.wmflabs.org/wiki/Event:81?mark=
asread=3D1075809&markasreadwiki=3Denwiki>

Join group chat:  <http://wef.fwefjij.com>

--

To control which emails we send you, check your preferences:
https://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences#mw-prefsecti=
on-echo

Wikimedia Foundation, 1 Montgomery Street, Suite 1600, San Francisco, CA 94=
104, USA
--=_320c206e15b044abf773137ccc1f316d
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html; charset=UTF-8

<html><head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dutf-8">
	<meta name=3D"viewport" content=3D"width=3Ddevice-width, initial-scale=3D1=
.0">
	<style>
		@media only screen and (max-width: 480px){
			table[id=3D"email-container"]{max-width:600px !important; width:100% !im=
portant;}
		}
	</style>
	<base href=3D"https://en.wikipedia.beta.wmflabs.org">
</head><body>
<table cellspacing=3D"0" cellpadding=3D"0" border=3D"0" width=3D"100%" alig=
n=3D"center" lang=3D"en" dir=3D"ltr">
<tr>
	<td bgcolor=3D"#EAECF0"><center>
		<br><br>
		<table cellspacing=3D"0" cellpadding=3D"0" border=3D"0" width=3D"600" id=
=3D"email-container">
			<tr>
				<td bgcolor=3D"#FFFFFF" width=3D"5%">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF" width=3D"10%">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF" width=3D"80%" style=3D"line-height:40px;">&nbsp=
;</td>
				<td bgcolor=3D"#FFFFFF" width=3D"5%">&nbsp;</td>
			</tr><tr>
				<td bgcolor=3D"#FFFFFF" rowspan=3D"2">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF" align=3D"center" valign=3D"top" rowspan=3D"2"><=
img src=3D"https://en.wikipedia.beta.wmflabs.org/w/load.php?modules=3Dext.e=
cho.emailicons&amp;image=3Dplaceholder&amp;lang=3Den&amp;format=3Drasterize=
d" alt=3D"" height=3D"30" width=3D"30"></td>
				<td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, Hel=
vetica, sans-serif; font-size:13px; line-height:20px; color:#72777D;">Thank=
 you for registering for <a href=3D"https://en.wikipedia.beta.wmflabs.org/w=
iki/Event:81">81</a>.<p>Join the <a href=3D"http://wef.fwefjij.com">event g=
roup chat</a> to connect with other participants and get additional updates=
 from the organizers.</p></td>
				<td bgcolor=3D"#FFFFFF" rowspan=3D"2">&nbsp;</td>
			</tr><tr>
				<td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, Hel=
vetica, sans-serif; line-height: 20px; font-weight: 600;">
					<table cellspacing=3D"0" cellpadding=3D"0" border=3D"0">
						<tr>
							<td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, =
Helvetica, sans-serif; padding-top: 8px; font-size:13px; font-weight: bold;=
 color: #54595D;">
								<div style=3D"font-weight:normal"><h1>Event details</h1><h2>Date an=
d time</h2><p>22:20, 28 October 2022 to 20:30, 26 February 2028</p><div><st=
rong>Timezone:</strong> America/Chicago</div><h2>Event type</h2><h3>In-pers=
on event</h3><p style=3D"white-space: pre-wrap">555 gallatin street
nashville tn 37217
USA</p><h2>Event organizers</h2><p><a href=3D"/wiki/User:Vdubs81" class=3D"=
mw-userlink" title=3D"User:Vdubs81"><bdi>Vdubs81</bdi></a></p></div>
							</td>
						</tr>
					</table>
					<table cellspacing=3D"0" cellpadding=3D"0" border=3D"0">
						<tr>
							<td bgcolor=3D"#FFFFFF" align=3D"left" style=3D"font-family: Arial, =
Helvetica, sans-serif; font-size:14px; padding-top: 25px;">
								<a href=3D"https://en.wikipedia.beta.wmflabs.org/wiki/Event:81?mark=
asread=3D1075809&amp;markasreadwiki=3Denwiki" style=3D"cursor: pointer;text=
-align: center;text-decoration: none;padding: 6px 10px;border-radius: 2px;c=
olor: #FFF;background: #36C;font-family: Arial, Helvetica, sans-serif;font-=
weight: bold;font-size: 13px;">View event page</a>&nbsp;&nbsp;<a href=3D"ht=
tp://wef.fwefjij.com" style=3D"text-decoration: none;font-size: 10px;font-f=
amily: Arial, Helvetica, sans-serif;color: #72777D;">Join group chat</a>
							</td>
						</tr>
					</table>
				</td>
			</tr><tr>
				<td bgcolor=3D"#FFFFFF">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF" style=3D"line-height:40px;">&nbsp;</td>
				<td bgcolor=3D"#FFFFFF">&nbsp;</td>
			</tr><tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td align=3D"left" style=3D"font-family: Arial, Helvetica, sans-serif; =
font-size:10px; line-height:13px; color:#72777D; padding:10px 20px;"><br>
					To control which emails we send you, <a href=3D"https://en.wikipedia.b=
eta.wmflabs.org/wiki/Special:Preferences#mw-prefsection-echo" style=3D"text=
-decoration: none; color: #36C;">check your preferences</a>.<br>Wikimedia F=
oundation, 1 Montgomery Street, Suite 1600, San Francisco, CA 94104, USA
					<br><br>
				</td>
				<td>&nbsp;</td>
			</tr><tr>
				<td colspan=3D"4">&nbsp;</td>
			</tr>
		</table>
		<br><br></center>
	</td>
</tr>
</table>
</body></html>=

--=_320c206e15b044abf773137ccc1f316d--

Screen Shot 2022-11-23 at 11.36.40 AM.png (1Γ—1 px, 186 KB)

@MHorsey-WMF here is the email that went to junk from Outlook. I tried sending it with and without the group chat link.

That's so weird, all of the tools I use are saying we should be fine.

Not a huge amount we can do tbh.

The AC has been updated to remove the participant greeting.

Moving to design sign-off, as discussed with Vaughn who is off today (so I am doing it for him).

@Daimona The calendar icon is the final icon. Is there any reason why the font sizes of the headings are quite huge?

@gonyeahialam We cannot use the calendar icon directly as we normally would. It is not supported to insert it in the usual way, we need to find an alternative way to include it.

Can you provide a screenshot of the headings? They should be standard H1/H2 but I think they are styled by the echo extension rather than our code.

Can you provide a screenshot of the headings? They should be standard H1/H2 but I think they are styled by the echo extension rather than our code.

@MHorsey-WMF From the screenshots Vaughn posted, the headings seem quite large

image.png (1Γ—1 px, 131 KB)